namespace Tutor_RT
{
    public abstract class AObject //AbstractObject
    {
        #region Constructors

        public AObject() { }

        #endregion

        public virtual Color_0_to_1 getColor
        {
            get { return new Color_0_to_1(); }
        }

        public virtual double Lambda_min(Ray ray)
        {
            return 0;
        }

        public virtual V3 get_n(V3 intersection_position)
        {
            return new V3(0, 0, 0);
        }

    }
}
